Subject: Re: [GSoC PATCH v5 1/5] repo: declare the repo command

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jul 2025 10:56:40 -0700

Lucas Seiki Oshiro <[email-masked]> writes:

> Hmmm... I'm thinking about what is the "right thing" in this context.
> For example, `git config --list` doesn't quote when in its key=value
> format. Perhaps I'm citing `git config --list` too much :-), but it is
> because is the closer command to `git-repo-info` in that sense.

Yup.  If we do need to support non-z output format and keep it
parseable, I am afraid that we cannot avoid quoting.

An old mistake is not a good excuse to repeat the same one.  Even
though the config key names forbid <LF> and <NUL>, "git config
--list" still cannot be used without "-z" when the keys may contain
"=", for example, if the caller wants to parse the output correctly
because it was misdesigned to not use any quoting.